# disable debuginfo
%global pkgname anyconfig-configobj-backend

%global desctxt \
This is a python backend module for python-anyconfig to load and dump configobj\
data.\
\
python-anyconfig is a python library to provide common APIs to load dump\
various configuration files like INI, JSON and YAML.

Name:           python-%{pkgname}
Version:        0.3.0
Release:        1%{?dist}
Summary:        Backend for python-anyconfig to load and dump configobj data
Group:          Development/Libraries
License:        MIT
URL:            https://github.com/ssato/python-anyconfig-configobj-backend
Source0: %{pkgname}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description    %{desctxt}

%package     -n python3-%{pkgname}
Summary:        %{summary}
Requires:       python3-anyconfig
Requires:       python3-configobj
%{?python_provide:%python_provide python3-%{pkgname}}

%description -n python3-%{pkgname} %{desctxt}

%prep
%autosetup   -n %{pkgname}-%{version}

%build
%py3_build

%install
%py3_install

%files       -n python3-%{pkgname}
%doc README.rst
%{python3_sitelib}/*

%changelog
* Tue May 18 2021 Satoru SATOH <satoru.satoh@gmail.com> - 0.2.0-1
- new upstream release

* Sat Sep 21 2019 Satoru SATOH <satoru.satoh@gmail.com> - 0.1.0-1
- new upstream release

* Tue Jan  9 2018 Satoru SATOH <ssato@redhat.com> - 0.0.4-1
- new upstream release

* Mon Jan  8 2018 Satoru SATOH <ssato@redhat.com> - 0.0.3-1
- new upstream release

* Tue Apr 30 2013 Satoru SATOH <ssato@redhat.com> - 0.0.2-1
- new upstream release

* Tue Apr 23 2013 Satoru SATOH <ssato@redhat.com> - 0.0.1-1
- Initial packaging
